@use 'partials/mixins/button';
@use 'partials/mixins/text-clamp';
@use 'partials/colors';

$app-running-width: 1.5%;

.app-container {
  display: grid;
  grid-template-columns: 98.5% 1.5%;
}

.app-content-container {
  display: flex;
  flex-direction: column;
}

.app-header-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 1.0em 0.5em 1.0em 1.0em;
}

.app-running {
  background-color: colors.$active-green;
}

.footer-container {
  display: flex;
  justify-content: center;
  padding-bottom: 0.5em;
}

.app-active {
  height: 0.375em;
  background-color: colors.$active-green;
}

.app-item-buttons {
  text-align: center;

  > button {
    margin-bottom: 1em;
  }

  > button:not(:last-child) {
    margin-right: 1em;
  }
}

// make expansion panel header break to new line
.mat-content {
  display: unset;
}

.mat-expansion-indicator {
  align-self: flex-start;
}

.round-button {
  @include button.mat-round-button;
}

.three-line-clamp {
  @include text-clamp.set-text-clamp(3);
}
